Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class AbstractTransitionableStateModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.AbstractStateModel
              org.springframework.webflow.engine.model.AbstractTransitionableStateModel

All Implemented Interfaces:
  Model

Direct Known Subclasses:
  ActionStateModel, SubflowStateModel, ViewStateModel

    public abstract class AbstractTransitionableStateModel

extends AbstractStateModel

Model support for transitionable states.

Author:
  Scott Andrews

Constructor Summary
`AbstractTransitionableStateModel(java.lang.String id)`

Method Summary
`protected void` | `fillCopy(AbstractTransitionableStateModel copy)`
`java.util.LinkedList` | `getOnExitActions()`
`java.util.LinkedList` | `getTransitions()`
`void` | `setOnExitActions(java.util.LinkedList onExitActions)`
`void` | `setTransitions(java.util.LinkedList transitions)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractStateModel
`fillCopy, getAttributes, getExceptionHandlers, getId, getOnEntryActions, getParent, getSecured, setAttributes, setExceptionHandlers, setId, setOnEntryActions, setParent, setSecured`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.webflow.engine.model.Model
`createCopy, isMergeableWith, merge`

Constructor Detail

### AbstractTransitionableStateModel

    public AbstractTransitionableStateModel(java.lang.String id)

Method Detail

### fillCopy

    protected void fillCopy(AbstractTransitionableStateModel copy)

### getTransitions

    public java.util.LinkedList getTransitions()

  Returns:
    the transitions

### setTransitions

    public void setTransitions(java.util.LinkedList transitions)

  Parameters:
    `transitions` - the transitions to set

### getOnExitActions

    public java.util.LinkedList getOnExitActions()

  Returns:
    the on exit actions

### setOnExitActions

    public void setOnExitActions(java.util.LinkedList onExitActions)

  Parameters:
    `onExitActions` - the on exit actions to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD